<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SVG</title>
    <link rel="stylesheet" href="./svg.css">
</head>

<body>
    <svg width=400 height=400>
        <defs>
            <g id="logo-1">
                <path d='M 0 0 
                    h -44 a 37 37, 0, 1, 1, 44 -44 v 44' />
                <path d='m -135 25 
                    h 100 a 36 36, 0, 1, 1, 0 72 h -100 a 36 36, 0, 1, 1, 0 -72' />
            </g>
        </defs>
        <use class="logo-1_left-top" xlink:href='#logo-1' x=191 y=103 />
        <use class="logo-1_right-top" xlink:href='#logo-1' x=200 y=-312 transform="rotate(90)" />
        <use class="logo-1_right-bottom" xlink:href='#logo-1' x=-216 y=-322 transform="rotate(180)" />
        <use class="logo-1_left-bottom" xlink:href='#logo-1' x=-225 y=94 transform="rotate(270)" />
    </svg>
    <svg width=420 height=400>
        <path class="logo-2"
            d='M 115 30 
                h 182 q 10 0, 20 10 l 87 156 a 30 30, 0, 0, 1, 0 35 l -85 145 a 30 30, 0, 0, 1, -25 20 h -178 a 30 30, 0, 0, 1, -25 -20 l -85 -145 a 30 30, 0, 0, 1, 0 -35 l 85 -145 a 30 30, 0, 0, 1, 25 -21' />
        <path class="logo-2_shadow"
            d='M 161 149 
                l 70 70, 24 -10, 22 22, 24 -66, 88 91, -71 120 a 30 30, 0, 0, 1, -25 19 h -50 l -102 -102, -9 -42 v -76 z' />
        <path class="logo-2_inf" 
            d='M 144 132 
                l 17 17, -26 26 v 76 l 26 26, -17 17, -34 -34 v -96 z' />
        <path class="logo-2_inf" 
            d='M -267 -294 
                l 17 17, -26 26 v 76 l 26 26, -17 17, -34 -34 v -96 z'
            transform="rotate(180)" />
        <circle class="logo-2_inf" cx="170" cy="212" r="12.5" />
        <circle class="logo-2_inf" cx="206" cy="212" r="12.5" />
        <circle class="logo-2_inf" cx="242" cy="212" r="12.5" />
    </svg>

</body>

</html>